Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Interface GeoSegment

All Superinterfaces:
  GeoExtent

All Known Implementing Classes:
  GeoIntersectionLayer.OMLineSegment, GeoPath.Impl.SegIt, GeoSegment.Impl

public interface GeoSegment
extends GeoExtent

A geographic (great circle) line segment. Used in Path Iterators.

Author:
  mthome@bbn.com

Nested Class Summary
`static class` | `GeoSegment.Impl`

Method Summary
`Geo[]` | `getSeg()`
`float[]` | `getSegArray()`

Methods inherited from interface com.bbn.openmap.geo.GeoExtent
`getBoundingCircle, getID`

Method Detail

### getSeg

    public Geo[] getSeg()

  Returns:
    the current segment as a two-element array of Geo The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

### getSegArray

    public float[] getSegArray()

  Returns:
    the current segment as a float[]. The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details